Get email history with a person
curl --request GET \
--url https://api.lumisreach.com/api/v1/history/emails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumisreach.com/api/v1/history/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumisreach.com/api/v1/history/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"direction": "inbound",
"source": "inbox",
"status": "<string>",
"from": "<string>",
"to": [
"<string>"
],
"subject": "<string>",
"body": "<string>",
"created_at": "<string>"
}
],
"meta": {
"page_size": 123,
"cursor": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Conversation History
Get email history with a person
Every email with one person, newest first: inbox and workflow email (source: inbox) and Quick Emails sent from the shared LumisReach address (source: quick). Name the person with contact_id or email. Free: reads are never billed.
GET
/
v1
/
history
/
emails
Get email history with a person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A contact id (from GET /v1/history/people). Its phone number / email is used.
Minimum string length:
1The person's email address
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Required range:
1 <= x <= 100meta.cursor from the previous page